Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# TAP::Parser::Utils

Perl 5 version 16.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# TAP::Parser::Utils

- NAME
- VERSION
- SYNOPSIS
- DESCRIPTION
  - INTERFACE

# NAME

TAP::Parser::Utils - Internal TAP::Parser utilities

# VERSION

Version 3.23

# SYNOPSIS

      use TAP::Parser::Utils qw( split_shell )  my @switches = split_shell( $arg );

# DESCRIPTION

FOR INTERNAL USE ONLY!

## INTERFACE

### `split_shell`

Shell style argument parsing. Handles backslash escaping, single and double quoted strings but not shell substitutions.

Pass one or more strings containing shell escaped arguments. The return value is an array of arguments parsed from the input strings according to (approximate) shell parsing rules. It's legal to pass `undef` in which case an empty array will be returned. That makes it possible to

        my @args = split_shell( $ENV{SOME_ENV_VAR} );

without worrying about whether the environment variable exists.

This is used to split HARNESS_PERL_ARGS into individual switches.

Page index

- NAME
- VERSION
- SYNOPSIS
- DESCRIPTION
  - INTERFACE